Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059729 - pinentry: missing support for wide char in pinentry-curses
Summary: pinentry: missing support for wide char in pinentry-curses
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pinentry
Version: 7.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Stanislav Ochotnicky
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 13:47 UTC by Stanislav Ochotnicky
Modified: 2014-06-18 08:32 UTC (History)
1 user (show)

Fixed In Version: pinentry-0.8.1-14.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1191639 (view as bug list)
Environment:
Last Closed: 2014-06-13 13:17:00 UTC
Target Upstream Version:


Attachments (Terms of Use)
upstream patch (deleted)
2014-01-30 13:47 UTC, Stanislav Ochotnicky
no flags Details | Diff

Description Stanislav Ochotnicky 2014-01-30 13:47:52 UTC
Created attachment 857484 [details]
upstream patch

Description of problem:
Current pinentry in EL7 is 0.8.1. Support for UTF-8 in curses interface was added in 0.8.2. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
$ pinentry-curses
OK Your orders please
option lc-ctype=en_US.UTF-8
OK
setdesc ľčťýáôäú
OK
getpin


Actual results:
garbled description text


Expected results:
properly encoded description in terminal

Comment 5 Ludek Smid 2014-06-13 13:17:00 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.